Skip to content
Snippets Groups Projects
Commit 5e6953c2 authored by Nicolas Frattaroli's avatar Nicolas Frattaroli
Browse files

Remove Python2 stuff


It is 2025 my dudes.

Signed-off-by: default avatarNicolas Frattaroli <nicolas.frattaroli@collabora.com>
parent 0d3c9d4f
No related branches found
No related tags found
No related merge requests found
#!/usr/bin/env python2 #!/usr/bin/env python3
# #
# Copyright (C) 2020 Rockchip Electronics Co., Ltd # Copyright (C) 2020 Rockchip Electronics Co., Ltd
# #
...@@ -42,7 +42,7 @@ def generate_atf_binary(bl31_file_name): ...@@ -42,7 +42,7 @@ def generate_atf_binary(bl31_file_name):
def main(): def main():
bl31_elf="./bl31.elf" bl31_elf="./bl31.elf"
generate_atf_binary(bl31_elf); generate_atf_binary(bl31_elf)
if __name__ == "__main__": if __name__ == "__main__":
main() main()
...@@ -6,14 +6,14 @@ ...@@ -6,14 +6,14 @@
# #
set -e set -e
JOB=`sed -n "N;/processor/p" /proc/cpuinfo|wc -l` JOB="$(nproc)"
SUPPORT_LIST=`ls configs/*[r,p][x,v,k][0-9][0-9]*_defconfig` SUPPORT_LIST=`ls configs/*[r,p][x,v,k][0-9][0-9]*_defconfig`
CMD_ARGS=$1 CMD_ARGS=$1
########################################### User can modify ############################################# ########################################### User can modify #############################################
RKBIN_TOOLS=../rkbin/tools RKBIN_TOOLS=../rkbin/tools
CROSS_COMPILE_ARM32=../prebuilts/gcc/linux-x86/arm/gcc-linaro-6.3.1-2017.05-x86_64_arm-linux-gnueabihf/bin/arm-linux-gnueabihf- CROSS_COMPILE_ARM32=arm-none-eabi-
CROSS_COMPILE_ARM64=../prebuilts/gcc/linux-x86/aarch64/gcc-linaro-6.3.1-2017.05-x86_64_aarch64-linux-gnu/bin/aarch64-linux-gnu- CROSS_COMPILE_ARM64=aarch64-linux-gnu-
########################################### User not touch ############################################# ########################################### User not touch #############################################
# Declare global INI file searching index name for every chip, update in select_chip_info() # Declare global INI file searching index name for every chip, update in select_chip_info()
RKCHIP= RKCHIP=
...@@ -24,7 +24,7 @@ INI_TRUST= ...@@ -24,7 +24,7 @@ INI_TRUST=
INI_LOADER= INI_LOADER=
# Declare rkbin repository path, updated in prepare() # Declare rkbin repository path, updated in prepare()
RKBIN= RKBIN=../rkbin/
# Declare global toolchain path for CROSS_COMPILE, updated in select_toolchain() # Declare global toolchain path for CROSS_COMPILE, updated in select_toolchain()
TOOLCHAIN= TOOLCHAIN=
...@@ -277,7 +277,7 @@ function select_toolchain() ...@@ -277,7 +277,7 @@ function select_toolchain()
CROSS_COMPILE_ARM64=`cat ${CC_FILE}` CROSS_COMPILE_ARM64=`cat ${CC_FILE}`
else else
if grep -q '^CONFIG_ARM64=y' .config ; then if grep -q '^CONFIG_ARM64=y' .config ; then
CROSS_COMPILE_ARM64=$(cd `dirname ${CROSS_COMPILE_ARM64}`; pwd)"/aarch64-linux-gnu-" CROSS_COMPILE_ARM64="aarch64-linux-gnu-"
else else
CROSS_COMPILE_ARM32=$(cd `dirname ${CROSS_COMPILE_ARM32}`; pwd)"/arm-linux-gnueabihf-" CROSS_COMPILE_ARM32=$(cd `dirname ${CROSS_COMPILE_ARM32}`; pwd)"/arm-linux-gnueabihf-"
fi fi
...@@ -733,11 +733,11 @@ function pack_fit_image() ...@@ -733,11 +733,11 @@ function pack_fit_image()
if ! which dtc >/dev/null 2>&1 ; then if ! which dtc >/dev/null 2>&1 ; then
echo "ERROR: No 'dtc', please: apt-get install device-tree-compiler" echo "ERROR: No 'dtc', please: apt-get install device-tree-compiler"
exit 1 exit 1
elif [ "${ARM64_TRUSTZONE}" == "y" ]; then # elif [ "${ARM64_TRUSTZONE}" == "y" ]; then
if ! which python2 >/dev/null 2>&1 ; then # if ! which python2 >/dev/null 2>&1 ; then
echo "ERROR: No python2" # echo "ERROR: No python2"
exit 1 # exit 1
fi # fi
fi fi
# If we don't plan to have uboot in uboot.img in case of: SPL => Trust => Kernel, creating empty files. # If we don't plan to have uboot in uboot.img in case of: SPL => Trust => Kernel, creating empty files.
...@@ -801,7 +801,7 @@ select_ini_file ...@@ -801,7 +801,7 @@ select_ini_file
handle_args_late handle_args_late
sub_commands sub_commands
clean_files clean_files
make PYTHON=python2 ${ARG_SPL_FWVER} ${ARG_FWVER} CROSS_COMPILE=${TOOLCHAIN} all --jobs=${JOB} make PYTHON=python3 ${ARG_SPL_FWVER} ${ARG_FWVER} CROSS_COMPILE=${TOOLCHAIN} all --jobs=${JOB}
pack_images pack_images
finish finish
echo ${TOOLCHAIN} echo ${TOOLCHAIN}
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment